Package org.apache.felix.http.base.internal.runtime

## Class PreprocessorInfo

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.AbstractInfo<T>
  - - org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<org.osgi.service.http.whiteboard.Preprocessor>
    - - org.apache.felix.http.base.internal.runtime.PreprocessorInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<org.osgi.service.http.whiteboard.Preprocessor>>`

    public final class PreprocessorInfo
    extends WhiteboardServiceInfo<org.osgi.service.http.whiteboard.Preprocessor>

Provides registration information for a `Preprocessor`.

This class only provides information used at registration time, and as such differs slightly from the corresponding DTO

### Constructor Summary

Constructors
`PreprocessorInfo​(org.osgi.framework.ServiceReference<org.osgi.service.http.whiteboard.Preprocessor> ref)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​String>` `getInitParameters()` Returns an immutable map of the init parameters.
`boolean` `isSame​(AbstractInfo<org.osgi.service.http.whiteboard.Preprocessor> other)` Compare two info objects

### Methods inherited from class org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

`getContextSelection, getContextSelectionFilter, isValid`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreprocessorInfo

    public PreprocessorInfo​(org.osgi.framework.ServiceReference<org.osgi.service.http.whiteboard.Preprocessor> ref)

### Method Detail

#### getInitParameters

    public Map<String,​String> getInitParameters()

Returns an immutable map of the init parameters.

#### isSame

    public boolean isSame​(AbstractInfo<org.osgi.service.http.whiteboard.Preprocessor> other)

Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `WhiteboardServiceInfo<org.osgi.service.http.whiteboard.Preprocessor>`